summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2018-01-16 13:21:00 +0900
committerBenda Xu <heroxbd@gentoo.org>2018-01-16 13:22:16 +0900
commitea38c545ce810d80aea1eb7c6e5e4d2117e6f211 (patch)
tree111b7a76f46fabda4d6f3ab5592047c8282c7ee0
parentbootstrap-prefix.sh: disable the coreutils check for 32bit timestamp. (diff)
downloadprefix-ea38c545ce810d80aea1eb7c6e5e4d2117e6f211.tar.gz
prefix-ea38c545ce810d80aea1eb7c6e5e4d2117e6f211.tar.bz2
prefix-ea38c545ce810d80aea1eb7c6e5e4d2117e6f211.zip
bootstrap-prefix.sh: do not take a shortcut if ! is-rap.
-rwxr-xr-xscripts/bootstrap-prefix.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/bootstrap-prefix.sh b/scripts/bootstrap-prefix.sh
index a1cc564f61..1119dabc06 100755
--- a/scripts/bootstrap-prefix.sh
+++ b/scripts/bootstrap-prefix.sh
@@ -1163,6 +1163,12 @@ bootstrap_bzip2() {
}
bootstrap_stage_host_gentoo() {
+ if ! is-rap ; then
+ einfo "Shortcut only supports prefix-standalone, but we are bootstrapping"
+ einfo "prefix-rpath. Do nothing."
+ return 0
+ fi
+
if [[ ! -L ${ROOT}/tmp ]] ; then
if [[ -e ${ROOT}/tmp ]] ; then
einfo "${ROOT}/tmp exists and is not a symlink to ${HOST_GENTOO_EROOT}"
@@ -2305,7 +2311,7 @@ EOF
# Figure out if we are bootstrapping from an existing Gentoo
# It can be forced by setting HOST_GENTOO_EROOT manually
local t_GENTOO_EROOT=$(env -u EPREFIX portageq envvar EROOT 2> /dev/null)
- if [[ ! -d ${HOST_GENTOO_EROOT} ]] && [[ -d ${t_GENTOO_EROOT} ]]; then
+ if [[ ! -d ${HOST_GENTOO_EROOT} && -d ${t_GENTOO_EROOT} ]]; then
cat <<EOF
Sweet, a Gentoo Penguin is found at ${t_GENTOO_EROOT}. Hey, you are